commit:     e51bf7eb241cd955057edf9f0ae94959c243d382
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  5 02:31:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  5 03:42:13 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e51bf7eb

dev-python/boto3: Bump to 1.38.30

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.38.30.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3b4fae9a6f75..3bce1b415a70 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.38.23.gh.tar.gz 946184 BLAKE2B 
cf405adb1f47bcaba2185f2c120b8642f8fe
 DIST boto3-1.38.27.gh.tar.gz 948453 BLAKE2B 
4f775c14a439b4ca204d6728a7b077ed901e9b92f395871b05e9de29e5ce82ac2ab179f4c1914b3d52627b77a5fae136ad003bbeb2d1460597f9fb7b4a1ab93d
 SHA512 
27ab3c3453b16649d58d6ee11ef62abd6e302889b0dc46067e4370af1e9fb4d75292886471f7c7fb530707c226ae78c42d0268d8cd9730fd27ad72ef1fb69d45
 DIST boto3-1.38.28.gh.tar.gz 949891 BLAKE2B 
5368b9f38df2f07aa27ee04a499e30ddf8ee45fdbcb0d4a2f24ea16ea55e7e6f30c35877521c5fd45fd9e17aed0d4c1998c470d64e68221ce18ea3b26818e367
 SHA512 
8929582df636c5a78d4ed84ad99d4b5803c4ca65842ec19aac59cb7400cc1c2f004e85a1cb422c2ebb44db2168632b7d1ed5c794be8b74207394ab929d64e49b
 DIST boto3-1.38.29.gh.tar.gz 950266 BLAKE2B 
b75f999ab08f9619fda4e3365eecea5f2ef19f4ea6676c86126f71782be97472479bddf6c6ec1dffd15b0cbb22d727cc570917945d10d4e4a1b03ac516e419fe
 SHA512 
cfa2cc23aa9f79e21311ee99fed8fc75dfbea94ffcb66bbd1f08e30b186758d9ef0f3a6448e746f767b7ef22bd25bd73f24dda0fc77c0ecc09135f4b98a82837
+DIST boto3-1.38.30.gh.tar.gz 951105 BLAKE2B 
448432b4154d08d1773079a4539910be900c7712adebf72ebd7f4023a228466864037e9a4afbcd36d2d33b14fe85351048ddddd6f20c5b8d4f37c21394cd6f88
 SHA512 
5d1ee430bfa92367fbf3f9e40bb61f314c8be5210a08d8ef21de8e0195ca796e1b7fc8b9de0fd3ad581cb93ccbb6804f9365ddf181b3baf9dfbff01344e518db

diff --git a/dev-python/boto3/boto3-1.38.30.ebuild 
b/dev-python/boto3/boto3-1.38.30.ebuild
new file mode 100644
index 000000000000..87d2b29361a1
--- /dev/null
+++ b/dev-python/boto3/boto3-1.38.30.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+       https://github.com/boto/boto3/
+       https://pypi.org/project/boto3/
+"
+SRC_URI="
+       https://github.com/boto/boto3/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to